Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234941 - PyOpenGL should require python-ctypes
Summary: PyOpenGL should require python-ctypes
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: PyOpenGL
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-02 23:29 UTC by Till Maas
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-03 06:05:58 UTC


Attachments (Terms of Use)

Description Till Maas 2007-04-02 23:29:26 UTC
Description of problem:

PyOpenGL does not require python-ctypes, but a file of it imports ctypes:

from /usr/lib/python2.4/site-packages/OpenGL/wrapper.py:
   1 """The wrapping code for providing natural ctypes-based OpenGL interface"""
   2 import ctypes


Version-Release number of selected component (if applicable):
3.0.0-0.2.a6.fc6

Comment 1 Hans de Goede 2007-04-03 06:05:58 UTC
Hmm, I see in Fedora 7 / devel which I use that is part of python, with FC-6 it
isn't.

I've created a new version 3.0.0-0.2.a6.fc6.1 and queued that for building, it
should show up in FE with the next package push.



Note You need to log in before you can comment on or make changes to this bug.